Subject: Re: How accessing to my IP registers from Linux

From: "A. Nolson" <[email-masked]>
Date: Tue, 03 Jun 2008 11:14:36 +0200

Hi,

 I have recently developed a similar driver for that. Your IO memory 
remapping should look like similar to this in your module_init:

-------

    if ( (lcd_remap_address = (u32) ioremap(LCD_BASE, LCD_END - LCD_BASE 
+1 )) == 0) {
        printk(KERN_ERR "Couldn't ioremap memory at 0x%08lX\n",
               (unsigned long) LCD_BASE);
        return -EFAULT;       
    }
   
    // Configure the IO as outputs
    XIo_Out32(lcd_remap_address  + 0x4,0x00);          

------- 

 /A

Ludovic Desroches wrote:
>
> Hi,
>
>  
>
> I have put xilinx kernel on my board : a memec FX12 based on a Virtex 
> 4 FX. Everything thing is OK, I have my serial console, Ethernet is 
> also OK.
>
> I have to make some drivers. For example one for the LCD screen. It is 
> my first driver so I want to try with something easier like LEDs. I 
> know there is a driver from Xilinx but I want to do it by myself. 
> Moreover it is only a file to adapt Xilinx standelone driver for Kernel.
>
>  
>
> I try to read and to write the registers of my GPIO IP which is 
> working, I have made some tests in standelone. How accessing to these 
> registers ?
>
> I have tried with this for example but without success :
>
>     ptr = ioremap_nocache(0x70001e00,0x00000004);
>     printk("GPIO_DATA (readl): %u\n",readl(ptr));
>
>      
>
> readl, outl, ioread32 : same result.
>
>  
>
> Thanks
>
>  
>
> Best Regards
>
>
> -- 
> Ludovic Desroches
> Ingénieur ESIEE 2008
> mobile : 06 19 21 02 08
> http://www.odulo.net
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded